package cn.dg32z.lon.utils.latency;

import cn.dg32z.libs.it.unimi.dsi.fastutil.ints.Int2ObjectOpenHashMap;
import cn.dg32z.libs.it.unimi.dsi.fastutil.longs.Long2ObjectOpenHashMap;
import cn.dg32z.libs.it.unimi.dsi.fastutil.longs.LongAVLTreeSet;
import cn.dg32z.libs.it.unimi.dsi.fastutil.longs.LongBidirectionalIterator;
import cn.dg32z.libs.it.unimi.dsi.fastutil.longs.LongSortedSet;
import cn.dg32z.libs.org.jetbrains.annotations.NotNull;
import cn.dg32z.lon.utils.data.packetentity.PacketEntity;
import java.util.AbstractCollection;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;
import java.util.NoSuchElementException;
import org.bukkit.util.Consumer;

/* loaded from: cn_dg32z_lon_utils_latency.jar:cn/dg32z/lon/utils/latency/SectionedEntityMap.class */
public final class SectionedEntityMap {
    private final Int2ObjectOpenHashMap idToEntity = new Int2ObjectOpenHashMap();
    private final Long2ObjectOpenHashMap sections = new Long2ObjectOpenHashMap();
    private final LongSortedSet trackedSections = new LongAVLTreeSet();
    private final EntityCollection entityCollection = new EntityCollection();

    /* loaded from: cn_dg32z_lon_utils_latency.jar:cn/dg32z/lon/utils/latency/SectionedEntityMap$EntityCollection.class */
    class EntityCollection extends AbstractCollection {
        /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
        @Override // java.util.AbstractCollection, java.util.Collection
        public int size() {
            return SectionedEntityMap.this.idToEntity.size();
        }

        /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable
        @NotNull
        public Iterator iterator() {
            return new EntityIterator();
        }

        /*  JADX ERROR: IndexOutOfBoundsException in pass: SSATransform
            java.lang.IndexOutOfBoundsException: bitIndex < 0: -1
            	at java.base/java.util.BitSet.set(BitSet.java:449)
            	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.fillBasicBlockInfo(LiveVarAnalysis.java:73)
            	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.runAnalysis(LiveVarAnalysis.java:36)
            	at jadx.core.dex.visitors.ssa.SSATransform.process(SSATransform.java:58)
            	at jadx.core.dex.visitors.ssa.SSATransform.visit(SSATransform.java:44)
            */
        /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
        @Override // java.util.AbstractCollection, java.util.Collection
        public boolean contains(java.lang.Object r7) {
            /*
                r6 = this;
                goto L16
            L3:
                return r-1
            L4:
                r-1 = 0
                r0 = 4653200028775481344(0x40937cc5c0000000, double:1247.193115234375)
                r1 = 4604480259023595110(0x3fe6666666666666, double:0.7)
                double r0 = r0 - r1
                r1 = 1151061960(0x449bcfc8, float:1246.4932)
                double r1 = (double) r1
                int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
                if (r0 == 0) goto L3
                goto L3
            L16:
                r0 = r7
                boolean r0 = r0 instanceof cn.dg32z.lon.utils.data.packetentity.PacketEntity
                if (r0 == 0) goto L4
                r0 = r6
                cn.dg32z.lon.utils.latency.SectionedEntityMap r0 = cn.dg32z.lon.utils.latency.SectionedEntityMap.this
                r1 = r7
                cn.dg32z.lon.utils.data.packetentity.PacketEntity r1 = (cn.dg32z.lon.utils.data.packetentity.PacketEntity) r1
                boolean r0 = r0.containsValue(r1)
                if (r0 == 0) goto L4
                r0 = 1
                goto L3
                throw r0
            */
            throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.utils.latency.SectionedEntityMap.EntityCollection.contains(java.lang.Object):boolean");
        }

        private EntityCollection() {
        }
    }

    /* loaded from: cn_dg32z_lon_utils_latency.jar:cn/dg32z/lon/utils/latency/SectionedEntityMap$EntityIterator.class */
    class EntityIterator implements Iterator {
        private final Iterator sectionIterator;
        private Iterator currentSectionIterator = Collections.emptyIterator();

        /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
        @Override // java.util.Iterator
        public PacketEntity next() {
            if (hasNext() || 1182.58251953125d - 0.4d == 1182.1825f) {
                return (PacketEntity) this.currentSectionIterator.next();
            }
            throw new NoSuchElementException();
        }

        /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
        @Override // java.util.Iterator
        public boolean hasNext() {
            while (!this.currentSectionIterator.hasNext() && this.sectionIterator.hasNext()) {
                if (610.4668f - 9.779931f == 600.6869f) {
                    long longValue = ((Long) this.sectionIterator.next()).longValue();
                    if (851.88635f - 11.637691f != 840.24866f) {
                        break;
                    }
                    while (true) {
                        EntitySection entitySection = (EntitySection) SectionedEntityMap.this.sections.get(longValue);
                        if (518.6096801757812d - 0.8d != 517.8097f) {
                            if (entitySection != null) {
                                if (1373.9482f - 11.2983885f == 1362.6499f) {
                                    this.currentSectionIterator = entitySection.getEntities().iterator();
                                    if (888.9434204101562d - 0.8d != 888.14343f) {
                                    }
                                    break;
                                }
                            } else {
                                break;
                            }
                        }
                    }
                }
            }
            return this.currentSectionIterator.hasNext();
        }

        private EntityIterator() {
            this.sectionIterator = SectionedEntityMap.this.trackedSections.iterator();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: cn_dg32z_lon_utils_latency.jar:cn/dg32z/lon/utils/latency/SectionedEntityMap$EntitySection.class */
    public class EntitySection {
        private final List entities = new ArrayList();

        /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
        public List getEntities() {
            return this.entities;
        }

        /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
        public boolean isEmpty() {
            return this.entities.isEmpty();
        }

        /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
        public void removeEntity(PacketEntity packetEntity) {
            do {
                this.entities.remove(packetEntity);
            } while (1256.9558f - 6.763711f != 1250.1921f);
        }

        /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
        public void forEachEntity(Consumer consumer) {
            do {
            } while (1488.7444f - 14.669621f != 1474.0747f);
            for (PacketEntity packetEntity : this.entities) {
                if (1301.0526f - 9.734817f == 1291.3177f) {
                    consumer.accept(packetEntity);
                    if (911.5613f - 14.797748f == 896.76355f) {
                    }
                }
            }
        }

        /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
        public void addEntity(PacketEntity packetEntity) {
            this.entities.add(packetEntity);
            if (847.910888671875d - 0.8d != 847.1109f) {
            }
        }

        private EntitySection() {
        }
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public void put(int i, PacketEntity packetEntity) {
        do {
            addEntity(i, packetEntity);
        } while (562.38f - 6.263189f != 556.1168f);
    }

    /* JADX WARN: Code restructure failed: missing block: B:10:0x0154, code lost:
    
        r0 = (cn.dg32z.lon.utils.latency.SectionedEntityMap.EntitySection) r8.sections.get(r24);
     */
    /* JADX WARN: Code restructure failed: missing block: B:11:0x016a, code lost:
    
        if ((554.80066f - 9.696698f) == 545.10394f) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:13:0x0066, code lost:
    
        if (r0 == null) goto L66;
     */
    /* JADX WARN: Code restructure failed: missing block: B:15:0x0074, code lost:
    
        if ((1474.79150390625d - 0.8d) == 1473.9915f) goto L29;
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x00bf, code lost:
    
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x022b, code lost:
    
        r0.forEachEntity(r10);
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x0239, code lost:
    
        if ((1179.6311f - 11.61623f) != 1168.0149f) goto L36;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x00f4, code lost:
    
        r18 = cn.dg32z.lon.utils.math.MathUtil.asLong(r17, 0, 0);
     */
    /* JADX WARN: Code restructure failed: missing block: B:21:0x0105, code lost:
    
        if ((1050.1892f - 10.629177f) != 1039.56f) goto L66;
     */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x004d, code lost:
    
        r0 = cn.dg32z.lon.utils.math.MathUtil.asLong(r17, -1, -1);
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x005e, code lost:
    
        if ((729.5499f - 12.409392f) == 717.14056f) goto L57;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x0188, code lost:
    
        r22 = r8.trackedSections.subSet(r18, r0 + 1);
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:0x01a4, code lost:
    
        if ((1343.520263671875d - 0.2d) != 1343.3203f) goto L33;
     */
    /* JADX WARN: Code restructure failed: missing block: B:26:0x00da, code lost:
    
        r23 = r22.iterator();
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x00ee, code lost:
    
        if ((612.5465698242188d - 0.6d) == 611.9466f) goto L3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:28:0x0035, code lost:
    
        r0 = cn.dg32z.lon.utils.math.MathUtil.unpackZ(r24);
     */
    /* JADX WARN: Code restructure failed: missing block: B:29:0x0044, code lost:
    
        if ((1032.1653f - 5.8637934f) != 1026.3015f) goto L66;
     */
    /* JADX WARN: Code restructure failed: missing block: B:31:0x0099, code lost:
    
        if (r26 < r12) goto L66;
     */
    /* JADX WARN: Code restructure failed: missing block: B:33:0x00a0, code lost:
    
        if (r26 > r15) goto L66;
     */
    /* JADX WARN: Code restructure failed: missing block: B:35:0x00a7, code lost:
    
        if (r0 < r13) goto L66;
     */
    /* JADX WARN: Code restructure failed: missing block: B:37:0x00ae, code lost:
    
        if (r0 > r16) goto L66;
     */
    /* JADX WARN: Code restructure failed: missing block: B:39:0x00b9, code lost:
    
        if ((569.121f - 8.607673f) != 560.5133f) goto L45;
     */
    /* JADX WARN: Code restructure failed: missing block: B:41:0x013a, code lost:
    
        if (r17 > r14) goto L79;
     */
    /* JADX WARN: Code restructure failed: missing block: B:43:0x0148, code lost:
    
        if ((895.9887084960938d - 0.3d) == 895.6887f) goto L71;
     */
    /* JADX WARN: Code restructure failed: missing block: B:44:0x020d, code lost:
    
        r13 = cn.dg32z.lon.utils.math.MathUtil.getSectionCoord(r9.minZ - 2.0d);
     */
    /* JADX WARN: Code restructure failed: missing block: B:45:0x0225, code lost:
    
        if ((771.166259765625d - 0.9d) != 770.26624f) goto L60;
     */
    /* JADX WARN: Code restructure failed: missing block: B:46:?, code lost:
    
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:48:0x01ed, code lost:
    
        if (r23.hasNext() == false) goto L50;
     */
    /* JADX WARN: Code restructure failed: missing block: B:49:0x014e, code lost:
    
        r17 = r17 + 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:50:0x01f0, code lost:
    
        r24 = ((java.lang.Long) r23.next()).longValue();
     */
    /* JADX WARN: Code restructure failed: missing block: B:51:0x0207, code lost:
    
        if ((602.0825f - 6.8159876f) == 595.26654f) goto L54;
     */
    /* JADX WARN: Code restructure failed: missing block: B:52:0x0170, code lost:
    
        r26 = cn.dg32z.lon.utils.math.MathUtil.unpackY(r24);
     */
    /* JADX WARN: Code restructure failed: missing block: B:53:0x0182, code lost:
    
        if ((901.4306640625d - 0.7d) != 900.73065f) goto L3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:54:?, code lost:
    
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:55:0x0125, code lost:
    
        r17 = r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:56:0x0130, code lost:
    
        if ((609.7183f - 9.062717f) != 600.6556f) goto L7;
     */
    /* JADX WARN: Code restructure failed: missing block: B:59:0x01e0, code lost:
    
        if ((1377.889892578125d - 0.8d) == 1377.0898f) goto L30;
     */
    /* JADX WARN: Code restructure failed: missing block: B:9:0x008f, code lost:
    
        if ((790.4248f - 8.573856f) == 781.85095f) goto L42;
     */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:23:0x005e -> B:53:0x0125). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:25:0x01a4 -> B:53:0x0125). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:27:0x00ee -> B:46:0x01e6). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:29:0x0044 -> B:46:0x01e6). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:31:0x0099 -> B:46:0x01e6). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:33:0x00a0 -> B:46:0x01e6). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:35:0x00a7 -> B:46:0x01e6). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:37:0x00ae -> B:46:0x01e6). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:39:0x00b9 -> B:12:0x0154). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:39:0x00b9 -> B:40:0x0136). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:43:0x0148 -> B:20:0x00f4). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:45:0x0225 -> B:4:0x01aa). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public void forEachInBox(cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox r9, org.bukkit.util.Consumer r10) {
        /*
            Method dump skipped, instructions count: 576
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.utils.latency.SectionedEntityMap.forEachInBox(cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox, org.bukkit.util.Consumer):void");
    }

    /* JADX WARN: Code restructure failed: missing block: B:10:0x002c, code lost:
    
        if ((643.67786f - 10.898509f) == 632.77936f) goto L16;
     */
    /* JADX WARN: Code restructure failed: missing block: B:2:0x0041, code lost:
    
        if ((770.272f - 12.054328f) == 758.21765f) goto L6;
     */
    /* JADX WARN: Code restructure failed: missing block: B:3:0x0003, code lost:
    
        r5.trackedSections.clear();
     */
    /* JADX WARN: Code restructure failed: missing block: B:9:0x001d, code lost:
    
        r5.sections.clear();
     */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public void clear() {
        /*
            r5 = this;
            goto L32
        L3:
            r0 = r5
            cn.dg32z.libs.it.unimi.dsi.fastutil.longs.LongSortedSet r0 = r0.trackedSections
            r0.clear()
            r0 = 4649524519243874304(0x40866dea80000000, double:717.739501953125)
            r1 = 4600877379321698714(0x3fd999999999999a, double:0.4)
            double r0 = r0 - r1
            r1 = 1144214970(0x443355ba, float:717.3395)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L47
            goto L32
        L1d:
            r0 = r5
            cn.dg32z.libs.it.unimi.dsi.fastutil.longs.Long2ObjectOpenHashMap r0 = r0.sections
            r0.clear()
            r0 = 1143008098(0x4420eb62, float:643.67786)
            r1 = 1093558347(0x412e604b, float:10.898509)
            float r0 = r0 - r1
            r1 = 1142829537(0x441e31e1, float:632.77936)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L3
            goto L1d
        L32:
            r0 = r5
            cn.dg32z.libs.it.unimi.dsi.fastutil.ints.Int2ObjectOpenHashMap r0 = r0.idToEntity
            r0.clear()
            r0 = 1145082216(0x44409168, float:770.272)
            r1 = 1094770311(0x4140de87, float:12.054328)
            float r0 = r0 - r1
            r1 = 1144884718(0x443d8dee, float:758.21765)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L3
            goto L1d
        L47:
            return
            throw r-1
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.utils.latency.SectionedEntityMap.clear():void");
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public void forEachEntity(Consumer consumer) {
        do {
        } while (1417.6875f - 6.460005f != 1411.2275f);
        while (true) {
            if (784.384033203125d - 0.1d != 784.28406f) {
            }
            LongBidirectionalIterator it = this.trackedSections.subSet(Long.MIN_VALUE, Long.MAX_VALUE).iterator();
            if (1370.5671f - 13.988719f != 1356.5784f) {
                return;
            }
            while (it.hasNext()) {
                long longValue = ((Long) it.next()).longValue();
                if (995.5848999023438d - 0.6d == 994.9849f) {
                    break;
                }
                EntitySection entitySection = (EntitySection) this.sections.get(longValue);
                if (1033.8541f - 13.036306f == 1020.8178f) {
                }
                if (entitySection != null) {
                    if (575.321533203125d - 0.3d == 575.02155f) {
                        break;
                    }
                    entitySection.forEachEntity(consumer);
                    if (1229.9658203125d - 0.6d != 1229.3658f) {
                    }
                }
            }
            return;
        }
    }

    /*  JADX ERROR: IndexOutOfBoundsException in pass: SSATransform
        java.lang.IndexOutOfBoundsException: bitIndex < 0: -1
        	at java.base/java.util.BitSet.get(BitSet.java:628)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.fillBasicBlockInfo(LiveVarAnalysis.java:65)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.runAnalysis(LiveVarAnalysis.java:36)
        	at jadx.core.dex.visitors.ssa.SSATransform.process(SSATransform.java:58)
        	at jadx.core.dex.visitors.ssa.SSATransform.visit(SSATransform.java:44)
        */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:18:0x015f -> B:10:0x0193). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:24:0x0213 -> B:10:0x0193). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:28:0x00c7 -> B:12:0x0130). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:30:0x00aa -> B:14:0x0074). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:30:0x00aa -> B:8:0x01b8). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:48:0x0208 -> B:37:0x002a). Please report as a decompilation issue!!! */
    public void updateEntityPosition(cn.dg32z.lon.utils.data.packetentity.PacketEntity r9, cn.dg32z.libs.com.github.retrooper.packetevents.util.Vector3d r10) {
        /*
            Method dump skipped, instructions count: 552
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.utils.latency.SectionedEntityMap.updateEntityPosition(cn.dg32z.lon.utils.data.packetentity.PacketEntity, cn.dg32z.libs.com.github.retrooper.packetevents.util.Vector3d):void");
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private EntitySection createSection(long j) {
        return new EntitySection();
    }

    /*  JADX ERROR: IndexOutOfBoundsException in pass: SSATransform
        java.lang.IndexOutOfBoundsException: bitIndex < 0: -1
        	at java.base/java.util.BitSet.get(BitSet.java:628)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.fillBasicBlockInfo(LiveVarAnalysis.java:65)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.runAnalysis(LiveVarAnalysis.java:36)
        	at jadx.core.dex.visitors.ssa.SSATransform.process(SSATransform.java:58)
        	at jadx.core.dex.visitors.ssa.SSATransform.visit(SSATransform.java:44)
        */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:25:0x012d -> B:16:0x00d6). Please report as a decompilation issue!!! */
    public void removeEntity(cn.dg32z.lon.utils.data.packetentity.PacketEntity r8) {
        /*
            Method dump skipped, instructions count: 308
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.utils.latency.SectionedEntityMap.removeEntity(cn.dg32z.lon.utils.data.packetentity.PacketEntity):void");
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public boolean containsKey(int i) {
        return this.idToEntity.containsKey(i);
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public void removeEntity(int i) {
        PacketEntity packetEntity = (PacketEntity) this.idToEntity.remove(i);
        if (1188.25537109375d - 0.4d == 1187.8553f) {
            return;
        }
        while (packetEntity != null && 761.6042f - 8.67945f == 752.92474f) {
            removeEntity(packetEntity);
            if (1468.1915283203125d - 0.4d != 1467.7915f) {
                return;
            }
        }
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public Iterable int2ObjectEntrySet() {
        return this.idToEntity.entrySet();
    }

    /*  JADX ERROR: IndexOutOfBoundsException in pass: SSATransform
        java.lang.IndexOutOfBoundsException: bitIndex < 0: -1
        	at java.base/java.util.BitSet.get(BitSet.java:628)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.fillBasicBlockInfo(LiveVarAnalysis.java:65)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.runAnalysis(LiveVarAnalysis.java:36)
        	at jadx.core.dex.visitors.ssa.SSATransform.process(SSATransform.java:58)
        	at jadx.core.dex.visitors.ssa.SSATransform.visit(SSATransform.java:44)
        */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:19:0x0031 -> B:16:0x009e). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:23:0x00da -> B:6:0x000d). Please report as a decompilation issue!!! */
    public void addEntity(int r9, cn.dg32z.lon.utils.data.packetentity.PacketEntity r10) {
        /*
            Method dump skipped, instructions count: 271
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.utils.latency.SectionedEntityMap.addEntity(int, cn.dg32z.lon.utils.data.packetentity.PacketEntity):void");
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public Collection values() {
        return this.entityCollection;
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public boolean containsValue(PacketEntity packetEntity) {
        return this.idToEntity.containsValue(packetEntity);
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public PacketEntity get(int i) {
        return (PacketEntity) this.idToEntity.get(i);
    }
}
